//
//  SCAdContentView.h
//  SCMobileSDK
//
//  Copyright © 2018 smartclip Holding AG. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol SCAdViewDelegate <NSObject>
@required
- (void)onSkipAd;
- (void)onClickThrough;
- (void)toggleMute;
- (void)replayAdvertisement;
@end

/**
 SCAdContentView is a simple subclass of UIView. Its only task is to override the value for 'intrinsicContentSize'
 and give back the size (we only care for the height) of a possibly added AVPlayerLayer sublayer. If there is no AVPlayerLayer
 added we give back a zero height (or the height of the value initialHeight which can be assigned) as a standard height.
 */
@interface SCAdContentView : UIView
/// var initialHeight: Can be used to give the view an intrinsic content height before contentSubview has been added.
@property (nonatomic) CGFloat initialHeight;
@property (nonatomic, weak) id<SCAdViewDelegate> delegate;
@property (nonatomic, weak) IBOutlet UIButton *skipButton;
@property (nonatomic, weak) IBOutlet UIButton *soundButton;
@property (nonatomic, weak) IBOutlet UIButton *replayButton;
- (IBAction)skipButtonPressed:(id)sender;
- (IBAction)soundButtonPressed:(id)sender;
- (IBAction)replayButtonPressed:(id)sender;
@end
